Bug 1051732 - [RFE][cinder]: EMC ViPR iSCSI and FC volume driver
Summary: [RFE][cinder]: EMC ViPR iSCSI and FC volume driver
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: unspecified
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: Dafna Ron
URL: https://blueprints.launchpad.net/cind...
Whiteboard: upstream_milestone_none upstream_stat...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-11 05:04 UTC by RHOS Integration
Modified: 2016-04-26 17:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-10 22:35:36 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description RHOS Integration 2014-01-11 05:04:28 UTC
Cloned from launchpad blueprint https://blueprints.launchpad.net/cinder/+spec/emc-vipr-iscsi-and-fc-volume-driver.

Description:

Creating this blueprint to add the following drivers

1.	Cinder iSCSI Block volume driver for EMC ViPR
2.	Cinder FC Block volume driver for EMC ViPR

Both drivers will support the following features for the Icehouse release:
Create volume, delete volume, attach volume to instance, detach volume from instance, create snapshot, delete snapshot, copy image to volume, copy volume to image, clone volume, get volume stats, create volume from snapshot and extend volume.

EMC ViPR is a software-defined storage platform to manage heterogeneous storage systems from a single centralized console. For more details of EMC ViPR, please refer http://www.emc.com/data-center-management/vipr/index.htm


Specification URL (additional information):

None


Note You need to log in before you can comment on or make changes to this bug.